# GB_STREAM

    typedef
      struct GB_STREAM {
        GB_STREAM_DESC *desc;
        long _reserved;
        long _free[6];
        }
      GB_STREAM;

If you create a class that inherits the .Stream class, then you must declare your class structure this way:

    typedef
      struct {
        GB_BASE object;
        GB_STREAM stream;
        }
      MyClass;

if you need to store data associated with the stream, like the opened file descriptor for example, you can use the array field `_free[]`.

The `desc` field must points at a structure that points at the implementation functions of your stream. Streams of the same type should share the same description structure. See GB_STREAM_DESC for more details.